View Issue Details

IDProjectCategoryView StatusLast Update
0004475VALENTINA SERVEROtherpublic2009-12-20 13:00
ReporterFabian EschrichAssigned ToIvan Smahin 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.0 
Target Version4.5Fixed in Version4.5 
Summary0004475: Monitoring Server by SNMP
DescriptionWe are monitoring all our servers by SNMP or WMI.

You can monitor vserver on windows using WMI very fine (is service running?), but on linux there is no way so check a specific service using snmp.

Is there something that valentina could do for it?
TagsNo tags attached.

Relationships

parent of 0004609 resolved Switch to ACE v5.7 on Linux 
parent of 0004608 resolvedIvan Smahin Switch to ACE v5.7 on Windows 
parent of 0004610 resolvedRuslan Zasukhin Switch to ACE v5.7 on MAC OS X 

Activities

Bart Pietercil

Bart Pietercil

2009-07-29 20:54

reporter   ~0004663

Hi Fabian,

we are using mmonit (http://mmonit.com/monit/). Works pretty well

hth

Bart
Ivan Smahin

Ivan Smahin

2009-07-30 10:50

manager   ~0004665

Last edited: 2009-11-08 12:59

View 2 revisions

Connection::IsConnected() method could be used to monitor vServer state.

Fabian Eschrich

Fabian Eschrich

2009-07-30 12:44

reporter   ~0004666

Hi Bart, hi Ivan.

thanks for the link.
IsConnected is not possible, as the monitoring tools do not support valentina clients. You can check system variables, WMI or SNMP. So I hoped about an snmp way to see if its running.
But I will have a look at mmonit.
Ivan Smahin

Ivan Smahin

2009-11-04 14:05

manager   ~0004843

Currently we support only get() and get_next() SNMP requests for the following oids:
sysDescr("1.3.6.1.2.1.1.1.0" )
sysUpTime("1.3.6.1.2.1.1.3.0" )
Not much info but it makes a possibility to monitor vServer over SNMP
Ivan Smahin

Ivan Smahin

2009-11-04 14:28

manager   ~0004844

Also see:
http://valentina-db.com/blog/?p=199
http://www.valentina-db.com/dokuwiki/doku.php?id=valentina:products:vserver:manual:using_snmp

Issue History

Date Modified Username Field Change
2009-07-29 15:16 Fabian Eschrich New Issue
2009-07-29 20:54 Bart Pietercil Note Added: 0004663
2009-07-30 10:50 Ivan Smahin Note Added: 0004665
2009-07-30 12:44 Fabian Eschrich Note Added: 0004666
2009-10-14 07:32 Ivan Smahin Status new => assigned
2009-10-14 07:32 Ivan Smahin Assigned To => Ivan Smahin
2009-11-04 14:05 Ivan Smahin Note Added: 0004843
2009-11-04 14:28 Ivan Smahin Note Added: 0004844
2009-11-08 12:59 Ruslan Zasukhin Note Edited: 0004665 View Revisions
2009-11-08 13:03 Ruslan Zasukhin Relationship added parent of 0004609
2009-11-08 13:05 Ruslan Zasukhin Relationship added parent of 0004608
2009-11-08 13:15 Ruslan Zasukhin Relationship added parent of 0004610
2009-11-08 13:18 Ruslan Zasukhin Target Version => 4.5
2009-12-20 13:00 Ivan Smahin Status assigned => resolved
2009-12-20 13:00 Ivan Smahin Fixed in Version => 4.5
2009-12-20 13:00 Ivan Smahin Resolution open => fixed